MWAWGraphicListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
MWAWGraphicListener Class Reference

This class contains the code needed to create Graphic document. More...

`#include <MWAWGraphicListener.hxx>`

Inheritance diagram for MWAWGraphicListener:

## Public Member Functions
| MWAWGraphicListener (MWAWParserState &parserState, std::vector< MWAWPageSpan > const &pageList, librevenge::RVNGDrawingInterface *documentInterface)
| constructor More...
| MWAWGraphicListener (MWAWParserState &parserState, Box2f const &box, librevenge::RVNGDrawingInterface *documentInterface)
| simplified constructor (can be used for a embedded graphic with one page). More...
virtual | ~MWAWGraphicListener ()
| destructor More...
Type | getType () const
| returns the listener type More...
void | setDocumentLanguage (std::string locale)
| sets the documents language More...
void | startDocument ()
| starts a new document More...
void | endDocument (bool delayed=true)
| ends the actual document More...
bool | canWriteText () const
| returns true if a text zone is opened More...
bool | isDocumentStarted () const
| returns true if a document is opened More...
void | handleSubDocument (Vec2f const &orig, MWAWSubDocumentPtr subDocument, libmwaw::SubDocumentType subDocumentType)
| function called to add a subdocument and modify the origin More...
void | handleSubDocument (MWAWSubDocumentPtr subDocument, libmwaw::SubDocumentType subDocumentType)
| function called to add a subdocument More...
bool | isSubDocumentOpened (libmwaw::SubDocumentType &subdocType) const
| returns try if a subdocument is open More...
bool | openFrame (MWAWPosition const &pos, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| store the position and the style (which will be needed further to insert a textbox or a table with openTable) More...
void | closeFrame ()
| close a frame More...
bool | openGroup (MWAWPosition const &pos)
| open a group More...
void | closeGroup ()
| close a group More...
bool | openLayer (librevenge::RVNGString const &name)
| open a layer More...
void | closeLayer ()
| close a layer More...
bool | openMasterPage (MWAWPageSpan &masterPage)
| opens a master page More...
void | closeMasterPage ()
| close a master page More...
bool | isPageSpanOpened () const
| returns true if a page is opened More...
MWAWPageSpan const & | getPageSpan ()
| returns the current page span More...
bool | insertHeader (MWAWSubDocumentPtr subDocument, librevenge::RVNGPropertyList const &extras)
| insert a header More...
bool | insertFooter (MWAWSubDocumentPtr subDocument, librevenge::RVNGPropertyList const &extras)
| insert a footer More...
bool | isHeaderFooterOpened () const
| returns true if the header/footer is open More...
void | insertChar (uint8_t character)
| adds a basic character, .. More...
void | insertCharacter (unsigned char c)
| insert a character using the font converter to find the utf8 character More...
int | insertCharacter (unsigned char c, MWAWInputStreamPtr &input, long endPos=-1)
| insert a character using the font converter to find the utf8 character and if needed, input to read extra character. More...
void | insertUnicode (uint32_t character)
| adds an unicode character. More...
void | insertUnicodeString (librevenge::RVNGString const &str)
| adds a unicode string More...
void | insertTab ()
| adds a tab More...
void | insertEOL (bool softBreak=false)
| adds an end of line ( by default an hard one) More...
void | setFont (MWAWFont const &font)
| sets the font More...
MWAWFont const & | getFont () const
| returns the actual font More...
bool | isParagraphOpened () const
| returns true if a paragraph or a list is opened More...
void | setParagraph (MWAWParagraph const &paragraph)
| sets the paragraph More...
MWAWParagraph const & | getParagraph () const
| returns the actual paragraph More...
void | insertField (MWAWField const &field)
| adds a field type More...
void | openLink (MWAWLink const &link)
| open a link More...
void | closeLink ()
| close a link More...
void | insertPicture (MWAWPosition const &pos, const librevenge::RVNGBinaryData &binaryData, std::string type="image/pict", MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| adds a picture in given position More...
void | insertPicture (MWAWPosition const &pos, MWAWGraphicShape const &shape, MWAWGraphicStyle const &style)
| adds a shape picture in given position More...
void | insertTextBox (MWAWPosition const &pos, MWAWSubDocumentPtr subDocument, MWAWGraphicStyle const &style)
| adds a textbox in given position More...
void | insertGroup (Box2f const &bdbox, MWAWSubDocumentPtr subDocument)
| adds a group: ie. More...
void | insertNote (MWAWNote const &note, MWAWSubDocumentPtr &subDocument)
| insert a note More...
void | insertComment (MWAWSubDocumentPtr &subDocument)
| adds comment More...
void | insertTable (MWAWPosition const &pos, MWAWTable &table, MWAWGraphicStyle const &style=MWAWGraphicStyle::emptyStyle())
| adds a table in given position More...
void | openTable (MWAWTable const &table)
| open a table (using the last parameters of openFrame for the position ) More...
void | openTable (MWAWPosition const &pos, MWAWTable const &table, MWAWGraphicStyle const &style)
| open a table in a given position More...
void | closeTable ()
| closes this table More...
void | openTableRow (float h, librevenge::RVNGUnit unit, bool headerRow=false)
| open a row with given height ( if h < 0.0, set min-row-height = -h ) More...
void | closeTableRow ()
| closes this row More...
void | openTableCell (MWAWCell const &cell)
| open a cell More...
void | closeTableCell ()
| close a cell More...
void | addEmptyTableCell (Vec2i const &pos, Vec2i span=Vec2i(1, 1))
| add empty cell More...
bool | canOpenSectionAddBreak () const
| returns true if we can add open a section, add page break, ... More...
bool | isSectionOpened () const
| returns true if a section is opened More...
MWAWSection const & | getSection () const
| returns the actual section More...
bool | openSection (MWAWSection const &section)
| open a section if possible More...
bool | closeSection ()
| close a section More...
void | insertBreak (BreakType breakType)
| inserts a break type: ColumBreak, PageBreak, .. More...
Public Member Functions inherited from MWAWListener
virtual | ~MWAWListener ()
| destructor More...

## Protected Member Functions
void | _openPageSpan (bool sendHeaderFooters=true)
| does open a new page (low level) More...
void | _closePageSpan (bool masterPage=false)
| does close a page (low level) More...
void | _startSubDocument ()
void | _endSubDocument ()
void | _handleFrameParameters (librevenge::RVNGPropertyList &propList, MWAWPosition const &pos, MWAWGraphicStyle const &style)
| adds in propList the frame parameters. More...
void | _openParagraph ()
void | _closeParagraph ()
void | _resetParagraphState (const bool isListElement=false)
void | _openListElement ()
| open a list level More...
void | _closeListElement ()
| close a list level More...
void | _changeList ()
| update the list so that it corresponds to the actual level More...
int | _getListId () const
| low level: find a list id which corresponds to actual list and a change of level. More...
void | _openSpan ()
void | _closeSpan ()
void | _flushText ()
shared_ptr< MWAWGraphicListenerInternal::State > | _pushParsingState ()
| creates a new parsing state (copy of the actual state) More...
void | _popParsingState ()
| resets the previous parsing state More...

## Protected Attributes
shared_ptr< MWAWGraphicListenerInternal::GraphicState > | m_ds
| the actual global state More...
shared_ptr< MWAWGraphicListenerInternal::State > | m_ps
| the actual local parse state More...
std::vector< shared_ptr< MWAWGraphicListenerInternal::State > > | m_psStack
| stack of local state More...
MWAWParserState & | m_parserState
| the parser state More...
librevenge::RVNGDrawingInterface * | m_documentInterface
| the document interface More...

## Private Member Functions
| MWAWGraphicListener (const MWAWGraphicListener &)
MWAWGraphicListener & | operator= (const MWAWGraphicListener &)

## Additional Inherited Members
Public Types inherited from MWAWListener
enum | Type { Graphic, Presentation, Spreadsheet, Text }
| the listener type More...
enum | BreakType { PageBreak =0, SoftPageBreak, ColumnBreak }
| the different break type More...

## Detailed Description

This class contains the code needed to create Graphic document.

Note
  All units are specified in librevenge::RVNG_POINT

## Constructor & Destructor Documentation

MWAWGraphicListener::MWAWGraphicListener | ( | MWAWParserState & | parserState,
|  | std::vector< MWAWPageSpan > const & | pageList,
|  | librevenge::RVNGDrawingInterface * | documentInterface
| ) |  |

constructor

MWAWGraphicListener::MWAWGraphicListener | ( | MWAWParserState & | parserState,
|  | Box2f const & | box,
|  | librevenge::RVNGDrawingInterface * | documentInterface
| ) |  |

simplified constructor (can be used for a embedded graphic with one page).

Note
  the box coordinates must be given in point.

MWAWGraphicListener::~MWAWGraphicListener | ( |  | ) |
| virtual

destructor

MWAWGraphicListener::MWAWGraphicListener | ( | const MWAWGraphicListener & |  | ) |
| private

## Member Function Documentation

void MWAWGraphicListener::_changeList | ( |  | ) |
| protected

update the list so that it corresponds to the actual level

Referenced by _closePageSpan(), _endSubDocument(), _openSpan(), and closeTableCell().

void MWAWGraphicListener::_closeListElement | ( |  | ) |
| protected

close a list level

Referenced by _closeParagraph().

void MWAWGraphicListener::_closePageSpan | ( | bool | masterPage = `false` | ) |
| protected

does close a page (low level)

Referenced by closeMasterPage(), endDocument(), insertBreak(), and openMasterPage().

void MWAWGraphicListener::_closeParagraph | ( |  | ) |
| protected

Referenced by _changeList(), _closePageSpan(), _endSubDocument(), closeTableCell(), insertEOL(), and openTable().

void MWAWGraphicListener::_closeSpan | ( |  | ) |
| protected

Referenced by _closeListElement(), _closeParagraph(), and setFont().

void MWAWGraphicListener::_endSubDocument | ( |  | ) |
| protected

Referenced by _closePageSpan(), closeGroup(), closeLayer(), closeTable(), and handleSubDocument().

void MWAWGraphicListener::_flushText | ( |  | ) |
| protected

Referenced by _closeSpan(), insertEOL(), insertField(), and insertTab().

int MWAWGraphicListener::_getListId | ( |  | ) | const
| protected

low level: find a list id which corresponds to actual list and a change of level.

Note
  called when the list id is not set

Referenced by _changeList().

void MWAWGraphicListener::_handleFrameParameters | ( | librevenge::RVNGPropertyList & | propList,
|  | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style
| ) |  |
| protected

adds in propList the frame parameters.

Note
  if there is some gradient, first draw a rectangle to print the gradient and them update propList

Referenced by insertFooter(), insertHeader(), openGroup(), and openTable().

void MWAWGraphicListener::_openListElement | ( |  | ) |
| protected

open a list level

Referenced by _openSpan().

void MWAWGraphicListener::_openPageSpan | ( | bool | sendHeaderFooters = `true` | ) |
| protected

does open a new page (low level)

Referenced by endDocument(), getPageSpan(), handleSubDocument(), insertBreak(), insertGroup(), openFrame(), openGroup(), and openLayer().

void MWAWGraphicListener::_openParagraph | ( |  | ) |
| protected

Referenced by _openSpan(), insertComment(), and insertNote().

void MWAWGraphicListener::_openSpan | ( |  | ) |
| protected

Referenced by insertChar(), insertEOL(), insertField(), insertTab(), insertUnicode(), insertUnicodeString(), and openLink().

void MWAWGraphicListener::_popParsingState | ( |  | ) |
| protected

resets the previous parsing state

Referenced by _closePageSpan(), closeGroup(), closeLayer(), closeLink(), closeTable(), and handleSubDocument().

shared_ptr< MWAWGraphicListenerInternal::State > MWAWGraphicListener::_pushParsingState | ( |  | ) |
| protected

creates a new parsing state (copy of the actual state)

Returns
  the old one

Referenced by handleSubDocument(), openGroup(), openLayer(), openLink(), and openTable().

void MWAWGraphicListener::_resetParagraphState | ( | const bool | isListElement = `false` | ) |
| protected

Referenced by _openListElement(), and _openParagraph().

void MWAWGraphicListener::_startSubDocument | ( |  | ) |
| protected

Referenced by handleSubDocument(), openGroup(), openLayer(), and openTable().

void MWAWGraphicListener::addEmptyTableCell | ( | Vec2i const & | pos,
|  | Vec2i | span = `Vec2i(1,1)`
| ) |  |
| virtual

add empty cell

Implements MWAWListener.

bool MWAWGraphicListener::canOpenSectionAddBreak | ( |  | ) | const
| inlinevirtual

returns true if we can add open a section, add page break, ...

Implements MWAWListener.

bool MWAWGraphicListener::canWriteText | ( |  | ) | const
| virtual

returns true if a text zone is opened

Implements MWAWListener.

Referenced by insertComment(), and insertNote().

void MWAWGraphicListener::closeFrame | ( |  | ) |
| virtual

close a frame

Implements MWAWListener.

Referenced by insertFooter(), and insertHeader().

void MWAWGraphicListener::closeGroup | ( |  | ) |

close a group

void MWAWGraphicListener::closeLayer | ( |  | ) |

close a layer

void MWAWGraphicListener::closeLink | ( |  | ) |
| virtual

close a link

Implements MWAWListener.

void MWAWGraphicListener::closeMasterPage | ( |  | ) |
| inline

close a master page

bool MWAWGraphicListener::closeSection | ( |  | ) |
| inlinevirtual

close a section

Implements MWAWListener.

void MWAWGraphicListener::closeTable | ( |  | ) |
| virtual

closes this table

Implements MWAWListener.

Referenced by _closePageSpan(), and _endSubDocument().

void MWAWGraphicListener::closeTableCell | ( |  | ) |
| virtual

close a cell

Implements MWAWListener.

Referenced by addEmptyTableCell(), and openTableCell().

void MWAWGraphicListener::closeTableRow | ( |  | ) |
| virtual

closes this row

Implements MWAWListener.

void MWAWGraphicListener::endDocument | ( | bool | delayed = `true` | ) |
| virtual

ends the actual document

Implements MWAWListener.

Referenced by MWAWTextListener::insertPicture(), MsWksGraph::send(), HanMacWrdKGraph::sendEmptyPicture(), HanMacWrdJGraph::sendEmptyPicture(), HanMacWrdKGraph::sendFrame(), HanMacWrdJGraph::sendFrame(), ClarisWksGraph::sendGroupChild(), and MarinerWrtGraph::sendRule().

MWAWFont const & MWAWGraphicListener::getFont | ( |  | ) | const
| virtual

returns the actual font

Implements MWAWListener.

MWAWPageSpan const & MWAWGraphicListener::getPageSpan | ( |  | ) |
| virtual

returns the current page span

Note
  this forces the opening of a new page if no page is opened.

Implements MWAWListener.

Referenced by insertFooter().

MWAWParagraph const & MWAWGraphicListener::getParagraph | ( |  | ) | const
| virtual

returns the actual paragraph

Implements MWAWListener.

MWAWSection const & MWAWGraphicListener::getSection | ( |  | ) | const
| virtual

returns the actual section

Implements MWAWListener.

Type MWAWGraphicListener::getType | ( |  | ) | const
| inlinevirtual

returns the listener type

Implements MWAWListener.

void MWAWGraphicListener::handleSubDocument | ( | Vec2f const & | orig,
|  | MWAWSubDocumentPtr | subDocument,
|  | libmwaw::SubDocumentType | subDocumentType
| ) |  |

function called to add a subdocument and modify the origin

Referenced by handleSubDocument(), insertComment(), insertFooter(), insertGroup(), insertHeader(), and insertNote().

void MWAWGraphicListener::handleSubDocument | ( | MWAWSubDocumentPtr | subDocument,
|  | libmwaw::SubDocumentType | subDocumentType
| ) |  |
| inlinevirtual

function called to add a subdocument

Implements MWAWListener.

void MWAWGraphicListener::insertBreak | ( | BreakType | breakType | ) |
| virtual

inserts a break type: ColumBreak, PageBreak, ..

Implements MWAWListener.

void MWAWGraphicListener::insertChar | ( | uint8_t | character | ) |
| virtual

adds a basic character, ..

Implements MWAWListener.

Referenced by insertCharacter(), insertComment(), and insertNote().

void MWAWGraphicListener::insertCharacter | ( | unsigned char | c | ) |
| virtual

insert a character using the font converter to find the utf8 character

Implements MWAWListener.

int MWAWGraphicListener::insertCharacter | ( | unsigned char | c,
|  | MWAWInputStreamPtr & | input,
|  | long | endPos = `-1`
| ) |  |
| virtual

insert a character using the font converter to find the utf8 character and if needed, input to read extra character.

Returns
  the number of extra character read

Implements MWAWListener.

void MWAWGraphicListener::insertComment | ( | MWAWSubDocumentPtr & | subDocument | ) |
| virtual

adds comment

Note
  as RVNGDrawingInterface does not accept comment, comment can only be inserted in a text zone (and are inserted between –)

Implements MWAWListener.

void MWAWGraphicListener::insertEOL | ( | bool | softBreak = `false` | ) |
| virtual

adds an end of line ( by default an hard one)

Implements MWAWListener.

void MWAWGraphicListener::insertField | ( | MWAWField const & | field | ) |
| virtual

adds a field type

Implements MWAWListener.

bool MWAWGraphicListener::insertFooter | ( | MWAWSubDocumentPtr | subDocument,
|  | librevenge::RVNGPropertyList const & | extras
| ) |  |
| virtual

insert a footer

Implements MWAWListener.

void MWAWGraphicListener::insertGroup | ( | Box2f const & | bdbox,
|  | MWAWSubDocumentPtr | subDocument
| ) |  |

adds a group: ie.

next insertion will be done relative to this bdbox[0] position

bool MWAWGraphicListener::insertHeader | ( | MWAWSubDocumentPtr | subDocument,
|  | librevenge::RVNGPropertyList const & | extras
| ) |  |
| virtual

insert a header

Implements MWAWListener.

void MWAWGraphicListener::insertNote | ( | MWAWNote const & | note,
|  | MWAWSubDocumentPtr & | subDocument
| ) |  |
| virtual

insert a note

Note
  as RVNGDrawingInterface does not accept note, note can only be inserted in a text zone (and are inserted between –)

Implements MWAWListener.

void MWAWGraphicListener::insertPicture | ( | MWAWPosition const & | pos,
|  | const librevenge::RVNGBinaryData & | binaryData,
|  | std::string | type = `"image/pict"`,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |
| virtual

adds a picture in given position

Implements MWAWListener.

Referenced by MWAWTextListener::insertPicture(), HanMacWrdKGraph::sendEmptyPicture(), HanMacWrdJGraph::sendEmptyPicture(), and MarinerWrtGraph::sendRule().

void MWAWGraphicListener::insertPicture | ( | MWAWPosition const & | pos,
|  | MWAWGraphicShape const & | shape,
|  | MWAWGraphicStyle const & | style
| ) |  |
| virtual

adds a shape picture in given position

Implements MWAWListener.

void MWAWGraphicListener::insertTab | ( |  | ) |
| virtual

adds a tab

Implements MWAWListener.

void MWAWGraphicListener::insertTable | ( | MWAWPosition const & | pos,
|  | MWAWTable & | table,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |

adds a table in given position

void MWAWGraphicListener::insertTextBox | ( | MWAWPosition const & | pos,
|  | MWAWSubDocumentPtr | subDocument,
|  | MWAWGraphicStyle const & | style
| ) |  |
| virtual

adds a textbox in given position

Implements MWAWListener.

Referenced by MsWksGraph::send(), HanMacWrdJGraph::sendFrame(), HanMacWrdKGraph::sendFrame(), and ClarisWksGraph::sendGroupChild().

void MWAWGraphicListener::insertUnicode | ( | uint32_t | character | ) |
| virtual

adds an unicode character.

By convention if character=0xfffd(undef), no character is added

Implements MWAWListener.

Referenced by insertChar(), insertCharacter(), insertComment(), and insertNote().

void MWAWGraphicListener::insertUnicodeString | ( | librevenge::RVNGString const & | str | ) |
| virtual

adds a unicode string

Implements MWAWListener.

Referenced by insertField().

bool MWAWGraphicListener::isDocumentStarted | ( |  | ) | const
| virtual

returns true if a document is opened

Implements MWAWListener.

bool MWAWGraphicListener::isHeaderFooterOpened | ( |  | ) | const
| virtual

returns true if the header/footer is open

Implements MWAWListener.

bool MWAWGraphicListener::isPageSpanOpened | ( |  | ) | const
| virtual

returns true if a page is opened

Implements MWAWListener.

bool MWAWGraphicListener::isParagraphOpened | ( |  | ) | const
| virtual

returns true if a paragraph or a list is opened

Implements MWAWListener.

bool MWAWGraphicListener::isSectionOpened | ( |  | ) | const
| inlinevirtual

returns true if a section is opened

Implements MWAWListener.

bool MWAWGraphicListener::isSubDocumentOpened | ( | libmwaw::SubDocumentType & | subdocType | ) | const
| virtual

returns try if a subdocument is open

Implements MWAWListener.

bool MWAWGraphicListener::openFrame | ( | MWAWPosition const & | pos,
|  | MWAWGraphicStyle const & | style = `MWAWGraphicStyle::emptyStyle()`
| ) |  |
| virtual

store the position and the style (which will be needed further to insert a textbox or a table with openTable)

Implements MWAWListener.

Referenced by insertFooter(), and insertHeader().

bool MWAWGraphicListener::openGroup | ( | MWAWPosition const & | pos | ) |

open a group

bool MWAWGraphicListener::openLayer | ( | librevenge::RVNGString const & | name | ) |

open a layer

void MWAWGraphicListener::openLink | ( | MWAWLink const & | link | ) |
| virtual

open a link

Implements MWAWListener.

bool MWAWGraphicListener::openMasterPage | ( | MWAWPageSpan & | masterPage | ) |

opens a master page

bool MWAWGraphicListener::openSection | ( | MWAWSection const & | section | ) |
| virtual

open a section if possible

Implements MWAWListener.

void MWAWGraphicListener::openTable | ( | MWAWTable const & | table | ) |
| virtual

open a table (using the last parameters of openFrame for the position )

Implements MWAWListener.

void MWAWGraphicListener::openTable | ( | MWAWPosition const & | pos,
|  | MWAWTable const & | table,
|  | MWAWGraphicStyle const & | style
| ) |  |

open a table in a given position

void MWAWGraphicListener::openTableCell | ( | MWAWCell const & | cell | ) |
| virtual

open a cell

Implements MWAWListener.

void MWAWGraphicListener::openTableRow | ( | float | h,
|  | librevenge::RVNGUnit | unit,
|  | bool | headerRow = `false`
| ) |  |
| virtual

open a row with given height ( if h < 0.0, set min-row-height = -h )

Implements MWAWListener.

MWAWGraphicListener& MWAWGraphicListener::operator= | ( | const MWAWGraphicListener & |  | ) |
| private

void MWAWGraphicListener::setDocumentLanguage | ( | std::string | locale | ) |
| virtual

sets the documents language

Implements MWAWListener.

void MWAWGraphicListener::setFont | ( | MWAWFont const & | font | ) |
| virtual

sets the font

Implements MWAWListener.

void MWAWGraphicListener::setParagraph | ( | MWAWParagraph const & | paragraph | ) |
| virtual

sets the paragraph

Implements MWAWListener.

void MWAWGraphicListener::startDocument | ( |  | ) |
| virtual

starts a new document

Implements MWAWListener.

Referenced by _openPageSpan(), MWAWTextListener::insertPicture(), openMasterPage(), MsWksGraph::send(), HanMacWrdKGraph::sendEmptyPicture(), HanMacWrdJGraph::sendEmptyPicture(), HanMacWrdKGraph::sendFrame(), HanMacWrdJGraph::sendFrame(), ClarisWksGraph::sendGroupChild(), and MarinerWrtGraph::sendRule().

## Member Data Documentation

librevenge::RVNGDrawingInterface* MWAWGraphicListener::m_documentInterface
| protected

the document interface

Referenced by _changeList(), _closeListElement(), _closePageSpan(), _closeParagraph(), _closeSpan(), _flushText(), _handleFrameParameters(), _openListElement(), _openPageSpan(), _openParagraph(), _openSpan(), addEmptyTableCell(), closeGroup(), closeLayer(), closeLink(), closeTable(), closeTableCell(), closeTableRow(), endDocument(), insertEOL(), insertField(), insertFooter(), insertHeader(), insertTab(), openGroup(), openLayer(), openLink(), openMasterPage(), openTable(), openTableCell(), openTableRow(), and startDocument().

shared_ptr<MWAWGraphicListenerInternal::GraphicState> MWAWGraphicListener::m_ds
| protected

the actual global state

Referenced by _changeList(), _closePageSpan(), _endSubDocument(), _handleFrameParameters(), _openPageSpan(), _startSubDocument(), canWriteText(), endDocument(), getPageSpan(), handleSubDocument(), insertBreak(), insertFooter(), insertGroup(), insertHeader(), isDocumentStarted(), isHeaderFooterOpened(), isPageSpanOpened(), isSubDocumentOpened(), MWAWGraphicListener(), openFrame(), openGroup(), openLayer(), openMasterPage(), setDocumentLanguage(), and startDocument().

MWAWParserState& MWAWGraphicListener::m_parserState
| protected

the parser state

Referenced by _changeList(), _getListId(), _openSpan(), insertCharacter(), and openTableCell().

shared_ptr<MWAWGraphicListenerInternal::State> MWAWGraphicListener::m_ps
| protected

the actual local parse state

Referenced by _changeList(), _closeListElement(), _closePageSpan(), _closeParagraph(), _closeSpan(), _endSubDocument(), _flushText(), _getListId(), _handleFrameParameters(), _openListElement(), _openPageSpan(), _openParagraph(), _openSpan(), _popParsingState(), _pushParsingState(), _resetParagraphState(), _startSubDocument(), addEmptyTableCell(), canWriteText(), closeFrame(), closeGroup(), closeLayer(), closeLink(), closeTable(), closeTableCell(), closeTableRow(), getFont(), getParagraph(), handleSubDocument(), insertBreak(), insertChar(), insertCharacter(), insertComment(), insertEOL(), insertField(), insertGroup(), insertNote(), insertTab(), insertUnicode(), insertUnicodeString(), isParagraphOpened(), isSubDocumentOpened(), MWAWGraphicListener(), openFrame(), openGroup(), openLayer(), openLink(), openTable(), openTableCell(), openTableRow(), setFont(), and setParagraph().

std::vector<shared_ptr<MWAWGraphicListenerInternal::State> > MWAWGraphicListener::m_psStack
| protected

stack of local state

Referenced by _popParsingState(), and _pushParsingState().

The documentation for this class was generated from the following files:

- MWAWGraphicListener.hxx
- MWAWGraphicListener.cxx